Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions
proofs::LigeroTranscript< Field > Class Template Reference

## Public Types
using | Elt = typename Field::Elt

## Static Public Member Functions
static void | write_commitment (const LigeroCommitment< Field > &commitment, Transcript &ts)
static void | gen_uldt (Elt u[], const LigeroParam< Field > &p, Transcript &ts, const Field &F)
static void | gen_alphal (size_t nl, Elt alpha[], Transcript &ts, const Field &F)
static void | gen_alphaq (std::array< Elt, 3 > alpha[], const LigeroParam< Field > &p, Transcript &ts, const Field &F)
static void | gen_uquad (Elt u[], const LigeroParam< Field > &p, Transcript &ts, const Field &F)
static void | gen_idx (size_t idx[], const LigeroParam< Field > &p, Transcript &ts, const Field &F)

The documentation for this class was generated from the following file:

- lib/ligero/ligero_transcript.h